### Method

# Gtk StyleContext lookup_color

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_style_context_lookup_color (
      GtkStyleContext* context,
      const char* color_name,
      GdkRGBA* color
    )

#### Description [src]

Looks up and resolves a color name in the `context` color map.

Deprecated since: 4.10

This api will be removed in GTK 5.

#### Parameters

`color_name`

  Type: `const char*`

  Color name to lookup.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`color`

  Type: `GdkRGBA`

  Return location for the looked up color.

  The argument will be set by the function.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE` if `color_name` was found and resolved, `FALSE` otherwise.